# ``twisted`.`internet`.`error`.`CannotListenError``

class documentation

`class CannotListenError(BindError): (source)`

View In Hierarchy

This gets raised by a call to startListening, when the object cannotstart listening.

Method | `__init__` | Undocumented
Method | `__str__` | Undocumented
Instance Variable | `interface` | the interface I tried to listen on
Instance Variable | `port` | the port I tried to listen on
Instance Variable | `socketError` | the exception I got when I tried to listen

Inherited from `BindError`:

Constant | `MESSAGE` | Undocumented
Class Variable | `__doc__` | Undocumented

def __init__(self, interface, port, socketError): (source)

Undocumented

def __str__(self): (source)
overrides `twisted.internet.error.BindError.__str__`

Undocumented

Returns
`str` | Undocumented

interface = (source)
the interface I tried to listen on
port = (source)
the port I tried to listen on
socketError: `socket.error` = (source)
the exception I got when I tried to listen